Git-Berechtigungen auflisten
curl --request GET \
--url https://api.devin.ai/v3/enterprise/organizations/{org_id}/git-providers/permissions \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.devin.ai/v3/enterprise/organizations/{org_id}/git-providers/permissions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.devin.ai/v3/enterprise/organizations/{org_id}/git-providers/permissions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"git_connection_id": "<string>",
"git_permission_id": "<string>",
"created_at": 123,
"group_prefix": "<string>",
"prefix_path": "<string>",
"read_only": false,
"repo_path": "<string>"
}
],
"end_cursor": "<string>",
"has_next_page": false,
"total": 123
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}Git-Berechtigungen (Enterprise)
Git-Berechtigungen auflisten
Git-Berechtigungen der Organisation auflisten
GET
/
v3
/
enterprise
/
organizations
/
{org_id}
/
git-providers
/
permissions
Git-Berechtigungen auflisten
Berechtigungen
ManageGitIntegrations auf Enterprise-Ebene.Autorisierungen
Servicebenutzer-Anmeldedaten (Präfix: cog_)
Pfadparameter
Organisations-ID (Präfix: org-)
Beispiel:
"org-abc123def456"
Antwort
Erfolgreiche Antwort
Show child attributes
Show child attributes
Cursor zum Abrufen der nächsten Seite oder None, falls dies die letzte Seite ist.
Ob nach dieser Seite noch weitere Elemente verfügbar sind.
Optionale Gesamtanzahl (kann aus Performancegründen weggelassen werden).
⌘I

